Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundlesResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundlesResource

    public class FrameworkBundlesResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundlesResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundles​(InputStream inputStream, String ext, String location, javax.ws.rs.core.MediaType contentType)`
`javax.ws.rs.core.Response` `bundles​(String ext)`
`javax.ws.rs.core.Response` `bundles​(String location, String ext, javax.ws.rs.core.MediaType contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundlesResource

    public FrameworkBundlesResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundles

    @GET
    @Produces({"application/org.osgi.bundles+json","application/org.osgi.bundles+xml"})
    @Path("framework/bundles{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundles​(@PathParam("ext")
                                             String ext)

#### bundles

    @POST
    @Consumes("text/plain")
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundles{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundles​(String location,
                                             @PathParam("ext")
                                             String ext,
                                             @HeaderParam("Content-Type")
                                             javax.ws.rs.core.MediaType contentType)

#### bundles

    @POST
    @Consumes("application/vnd.osgi.bundle")
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundles{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundles​(InputStream inputStream,
                                             @PathParam("ext")
                                             String ext,
                                             @HeaderParam("Content-Location")
                                             String location,
                                             @HeaderParam("Content-Type")
                                             javax.ws.rs.core.MediaType contentType)